Subject: Ticket Assigned - Order 4661468275
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 17 Mar 2022 12:09:06 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order 4661468275 To whom it may concern,

I am trying to track my order 4661468275.

I received a text saying it is out for delivery just after 10am this morning and it still has not arrived.

I have tried calling Landmark Group for details and an estimated time for delivery but the number listed is no longer in service?

I would also like to confirm that they have not accidentally delivered it to the wrong address.

My tracking number is: FP0317220001485.

Are you able to please help?

Delivery address is Hilton Hotel & Residences The Pearl.

I hope to hear from you soon with an update.

Kind regards

Tammy
3028 - 8570

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4039952